Page MenuHomePhabricator

Highlight the sections which causes abusefilter error
Closed, ResolvedPublic

Description

As per our publishing error analysis, we see a lot of translators faced 'Abuse filter ' related errors. A subset of those errors are because of external links like youtube, amazon in the content. We display that errors to users, but finding the problematic section in the whole translation is still upto the translator.

Highlighting the section with that error is one possible way to hint the user.

Proposed design

  • Warnings highlighted in yellow.

  • Errors highlighted in red.

Event Timeline

santhosh created this task.Jan 18 2016, 8:52 AM
santhosh updated the task description. (Show Details)
santhosh raised the priority of this task from to Normal.
santhosh added subscribers: santhosh, gerritbot, Arrbee and 7 others.

A quick example of highlighting. @Pginer-WMF can provide the actual design.

We may also want to provide link "show the error" that scrolls to the section with error. @Pginer-WMF please give the expected UX.

For the problematic paragraphs, a yellow border seems enough to capture the user attention and will provide room to highlight individual elements (e.g., marking in red the specific link or reference that prevents the content from being published).

Nemo_bis removed a subscriber: Nemo_bis.Jan 18 2016, 2:29 PM
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Jan 20 2016, 11:12 PM
Pginer-WMF updated the task description. (Show Details)Jan 25 2016, 1:45 PM
Pginer-WMF set Security to None.

I have the following implementation.


The view details is a expandable trigger. clicking on it expand the details from abusefilter.

@Pginer-WMF already has some comments when I showed this to him

  • If we cannot achieve "Spanish Wikipedia2 may be better to say "Wikipedia in <language>" instead.
  • Distinguish the filter name a bit.
  • Avoid having two "more" links next to each other. We can integrate the "view more" into the text by turning the "the restrictions from Spanish Wikipedia" part into a link instead.

@Pginer-WMF already has some comments when I showed this to him

  • If we cannot achieve "Spanish Wikipedia2 may be better to say "Wikipedia in <language>" instead.

This is not any different from i18n point of view, still has the problems of inflection. We could resort to workarounds such as "... target wiki (Spanish Wikipedia) ..." if we wait T121936 to be resolved.

  • Avoid having two "more" links next to each other. We can integrate the "view more" into the text by turning the "the restrictions from Spanish Wikipedia" part into a link instead.

Did I understand correctly that "View details" shows the default/customised warning message which is hidden by default and "Learn more" goes to some documentation page (which we haven't yet decided which one it it will be)?

It seems that the detailed messages are often verbose and out of context. So it makes sense to surface them only when more details are needed. I captured some ideas int he mockup below:

  • Adjusted the language to avoid using the term "section". "Section" is a term we use to refer to either paragraphs, titles, images or any other block of content; but it can become confusing for users that interpret it as a "document section".
  • The general link for more info on abuse filters is provided as part of the default message to better separate the general info from the specific one and avoid having too many "more" actions together.
  • The name of the filter ("spambot detection filter" in the example) is provided in the title of the card. As users get used to the same kind of errors that will make them easier to distinguish.
  • The "View details" when expanded should become "hide details" (not shown in the mockup), allowing to collapse the info again.
  • Use "Wikipedia in language" instead of specific project name. Although the later may be possible once T121936 is completed.
santhosh moved this task from Backlog to In Progress on the LE-CX8-Sprint 1 board.Feb 2 2016, 6:32 AM
Arrbee assigned this task to santhosh.Feb 2 2016, 6:38 AM
santhosh moved this task from Backlog to In Progress on the LE-CX8-Sprint 2 board.Feb 3 2016, 4:18 AM
santhosh moved this task from In Progress to In Review on the LE-CX8-Sprint 2 board.

Change 267012 had a related patch set uploaded (by Santhosh):
Linter card: Validate the translation on save

https://gerrit.wikimedia.org/r/267012

Niklas noted the following issues at the above version of patch

  1. AF card does not go away if I focus the title
  2. AF status is not updated unless I re-focus the section or make a change in the section. I would expect the status to change immediately on save.
  3. There is no mention that there can be false positives. This might be important if there will be many of them, but maybe not necessary right now.

I am planning to introduce a hook for validation error after the storage rearchitecture done to address the #2. The issue #1 should go away with the title validation patch(https://gerrit.wikimedia.org/r/269379)

Change 267012 merged by jenkins-bot:
Linter card: Validate the translation on save

https://gerrit.wikimedia.org/r/267012

santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint 3 board.Feb 16 2016, 6:57 AM
santhosh moved this task from In Review to QA on the LE-CX8-Sprint 3 board.Feb 23 2016, 3:49 AM

This patch has been deployed to production via the train, fixing the tag.

Change 273854 had a related patch set uploaded (by Santhosh):
Introduce validation error and success events for sections

https://gerrit.wikimedia.org/r/273854

Change 273854 merged by jenkins-bot:
Introduce validation error and success events for sections

https://gerrit.wikimedia.org/r/273854

Arrbee closed this task as Resolved.Mar 4 2016, 7:34 AM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 3 board.